# -*- encoding: utf-8 -*-
# stub: dm-migrations 1.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "dm-migrations".freeze
  s.version = "1.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Paul Sadauskas".freeze]
  s.date = "2011-10-09"
  s.description = "DataMapper plugin for writing and speccing migrations".freeze
  s.email = "psadauskas [a] gmail [d] com".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "README.rdoc".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "VERSION".freeze, "db/migrations/1_create_people_table.rb".freeze, "db/migrations/2_add_dob_to_people.rb".freeze, "db/migrations/config.rb".freeze, "dm-migrations.gemspec".freeze, "examples/Rakefile".freeze, "examples/sample_migration.rb".freeze, "examples/sample_migration_spec.rb".freeze, "lib/dm-migrations.rb".freeze, "lib/dm-migrations/adapters/dm-do-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-mysql-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-oracle-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-postgres-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-sqlite-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-sqlserver-adapter.rb".freeze, "lib/dm-migrations/adapters/dm-yaml-adapter.rb".freeze, "lib/dm-migrations/auto_migration.rb".freeze, "lib/dm-migrations/exceptions/duplicate_migration.rb".freeze, "lib/dm-migrations/migration.rb".freeze, "lib/dm-migrations/migration_runner.rb".freeze, "lib/dm-migrations/sql.rb".freeze, "lib/dm-migrations/sql/column.rb".freeze, "lib/dm-migrations/sql/mysql.rb".freeze, "lib/dm-migrations/sql/postgres.rb".freeze, "lib/dm-migrations/sql/sqlite.rb".freeze, "lib/dm-migrations/sql/table.rb".freeze, "lib/dm-migrations/sql/table_creator.rb".freeze, "lib/dm-migrations/sql/table_modifier.rb".freeze, "lib/spec/example/migration_example_group.rb".freeze, "lib/spec/matchers/migration_matchers.rb".freeze, "spec/integration/auto_migration_spec.rb".freeze, "spec/integration/auto_upgrade_spec.rb".freeze, "spec/integration/migration_runner_spec.rb".freeze, "spec/integration/migration_spec.rb".freeze, "spec/integration/sql_spec.rb".freeze, "spec/isolated/require_after_setup_spec.rb".freeze, "spec/isolated/require_before_setup_spec.rb".freeze, "spec/isolated/require_spec.rb".freeze, "spec/rcov.opts".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze, "spec/unit/migration_spec.rb".freeze, "spec/unit/sql/column_spec.rb".freeze, "spec/unit/sql/postgres_spec.rb".freeze, "spec/unit/sql/sqlite_extensions_spec.rb".freeze, "spec/unit/sql/table_creator_spec.rb".freeze, "spec/unit/sql/table_modifier_spec.rb".freeze, "spec/unit/sql/table_spec.rb".freeze, "spec/unit/sql_spec.rb".freeze, "tasks/spec.rake".freeze, "tasks/yard.rake".freeze, "tasks/yardstick.rake".freeze]
  s.homepage = "http://github.com/datamapper/dm-migrations".freeze
  s.rubyforge_project = "datamapper".freeze
  s.rubygems_version = "2.6.4".freeze
  s.summary = "DataMapper plugin for writing and speccing migrations".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<dm-core>.freeze, ["~> 1.2.0"])
      s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 0.9.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 1.3.2"])
    else
      s.add_dependency(%q<dm-core>.freeze, ["~> 1.2.0"])
      s.add_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
      s.add_dependency(%q<rake>.freeze, ["~> 0.9.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 1.3.2"])
    end
  else
    s.add_dependency(%q<dm-core>.freeze, ["~> 1.2.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 0.9.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 1.3.2"])
  end
end

